Bug 1533719 - Review Request: twolame - Optimized MPEG Audio Layer 2 encoding library based on tooLAME
Summary: Review Request: twolame - Optimized MPEG Audio Layer 2 encoding library based...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1450227 1534289 1534291 1534297 1534370
TreeView+ depends on / blocked
 
Reported: 2018-01-12 03:09 UTC by Zamir SUN
Modified: 2018-02-22 16:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-17 16:20:21 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1186900 None None None Never

Internal Links: 1186900

Description Zamir SUN 2018-01-12 03:09:42 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/zsun/test/fedora-rawhide-x86_64/00700215-twolame/twolame.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/zsun/test/fedora-rawhide-x86_64/00700215-twolame/twolame-0.3.13-8.fc28.src.rpm
Description: Optimized MPEG Audio Layer 2 encoding library based on tooLAME
Fedora Account System Username: zsun

Legal approval: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/DBZ3Q3XDAQF2KBTME5PXJPP4OZG6UEQT/

Since mp3 is now allowed in Fedora, I am moving the package from RPMFusion to Fedora.

Comment 1 Artur Iwicki 2018-01-12 12:35:16 UTC
># fix HTML docs line endings
>for file in html/*.html ; do
>	tr -d '\r' <$file >$file.unix && mv $file.unix $file
>done
Wouldn't it be simpler to use dos2unix here?

Comment 2 Zamir SUN 2018-01-12 12:39:11 UTC
Oh, I try to keep it mostly as-is from rpmfusion. I can post an update if this is essential for a review.

Comment 3 Sergio Monteiro Basto 2018-01-13 01:03:17 UTC
Packages remaining to rebuild:
fawkes
kf5-libkface
player

but player is FTBFS bug #1533278 , fawkes depends on player and kf5-libkface bug #1423813 was retired and add to Fedora fedora-obsolete-packages

Comment 4 Zamir SUN 2018-01-13 01:29:12 UTC
(In reply to Sergio Monteiro Basto from comment #3)
> Packages remaining to rebuild:
> fawkes
> kf5-libkface
> player
> 
> but player is FTBFS bug #1533278 , fawkes depends on player and kf5-libkface
> bug #1423813 was retired and add to Fedora fedora-obsolete-packages

Hi Sergio,

This is the review request of twolame. I believe you are commenting about kde related packages which is not about twolame. Let's keep this bug focused.

Comment 5 Sergio Monteiro Basto 2018-01-13 02:25:08 UTC
sorry wrote in wrong bug is was for bug 1530090 ...

Comment 6 Robert-André Mauchin 2018-01-14 20:44:41 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated", "MIT/X11 (BSD
     like)", "*No copyright* LGPL", "*No copyright* Public domain", "LGPL
     (v2.1 or later)", "GPL (v2.1 or later) (with incorrect FSF address)
     LGPL (v2.1 or later)". 71 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/twolame/review-
     twolame/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 481280 bytes in 30 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in twolame-
     libs , twolame-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: twolame-0.3.13-8.fc28.x86_64.rpm
          twolame-libs-0.3.13-8.fc28.x86_64.rpm
          twolame-devel-0.3.13-8.fc28.x86_64.rpm
          twolame-debuginfo-0.3.13-8.fc28.x86_64.rpm
          twolame-debugsource-0.3.13-8.fc28.x86_64.rpm
          twolame-0.3.13-8.fc28.src.rpm
twolame.x86_64: W: spelling-error Summary(en_US) tooLAME -> too Lame, too-lame, toolmaker
twolame.x86_64: W: spelling-error %description -l en_US tooLAME -> too Lame, too-lame, toolmaker
twolame.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
twolame.x86_64: W: spelling-error %description -l en_US sulaco -> consular
twolame.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
twolame.x86_64: W: only-non-binary-in-usr-lib
twolame.x86_64: E: incorrect-fsf-address /usr/share/doc/twolame/README
twolame.x86_64: E: incorrect-fsf-address /usr/share/licenses/twolame/COPYING
twolame-libs.x86_64: W: spelling-error Summary(en_US) tooLAME -> too Lame, too-lame, toolmaker
twolame-libs.x86_64: W: spelling-error %description -l en_US tooLAME -> too Lame, too-lame, toolmaker
twolame-libs.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
twolame-libs.x86_64: W: spelling-error %description -l en_US sulaco -> consular
twolame-libs.x86_64: W: no-documentation
twolame-devel.x86_64: W: only-non-binary-in-usr-lib
twolame-debugsource.x86_64: W: no-documentation
twolame.src: W: spelling-error Summary(en_US) tooLAME -> too Lame, too-lame, toolmaker
twolame.src: W: spelling-error %description -l en_US tooLAME -> too Lame, too-lame, toolmaker
twolame.src: W: spelling-error %description -l en_US www -> WWW, wow
twolame.src: W: spelling-error %description -l en_US sulaco -> consular
twolame.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
twolame.src: W: invalid-url Source0: http://downloads.sourceforge.net/twolame/twolame-0.3.13.tar.gz <urlopen error _ssl.c:761: The handshake operation timed out>
6 packages and 0 specfiles checked; 2 errors, 19 warnings.

Comment 7 Gwyn Ciesla 2018-01-15 22:12:54 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/twolame

Comment 8 Fedora Update System 2018-01-16 15:11:09 UTC
twolame-0.3.13-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-95a02e792a

Comment 9 Zamir SUN 2018-01-16 15:17:44 UTC
Hi Yaakov,

Now I built twolame for Rawhide and Fedora 27. If you need other branch, feel free to let me know.

Comment 10 Yaakov Selkowitz 2018-01-16 17:02:51 UTC
Thanks!  Good enough for me, but I imagine someone may want this in EPEL at some point.

Comment 11 Fedora Update System 2018-01-17 16:20:21 UTC
twolame-0.3.13-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.